> For the complete documentation index, see [llms.txt](https://docs.duplocloud.com/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.duplocloud.com/docs/automation-platform/terraform-support/duplocloud-terraform-exporter/install-terraform-exporter.md).

# Install Terraform Exporter

### Install DuploCloud Terraform Utility

Before you begin to install the utility, you must have certain prerequisites in place.

<details>

<summary>Install Prerequisites</summary>

1. Install [Go](https://go.dev/doc/install)
2. Install [make](https://www.gnu.org/software/make) tool
3. Install [Terraform](https://learn.hashicorp.com/tutorials/terraform/install-cli) version >= `v0.14.11`

</details>

<details>

<summary>Enable Export in DuploCloud</summary>

Set `DISABLETFSTATERESOURCECREATION` key as false in DuploCloud.

Please [contact the DuploCloud team](https://duplocloud.com/company/contact-us/) for assistance.

</details>

### Clone DuploCloud Terraform Exporter Utility Repository

<https://github.com/duplocloud/tenant-terraform-generator.git>

### Prepare Environment Variable in Bash

> ```
> export customer_name="duplo-customer" 
> export tenant_name="specifytenantname"
> export cert_arn="arn:aws:acm:us-west-2:128329325849:certificate/1234567890-aaaa-bbbb-ccc-66e7dcd609e1"
> export duplo_host="https://customer.duplocloud.net"
> export duplo_token="xxx-xxxxx-xxxxxxxx"
> export AWS_RUNNER="duplo-admin"
> export aws_account_id="1234567890"
> ```

<details>

<summary><em>Need Help in setting Environment Variables?</em></summary>

`customer_name` - Customer Name hosting Tenants

`tenant_name` - Refer DuploCloud Portal > **User** > **Profile** > **Tenant Details**

`cert_arn` - certificate ARN used for the Infrastructure

`duplo_host` - DuploCloud Portal URL

`duplo_token` - Refer DuploCloud Portal > **User Profile** > **Temporary API Token**

`AWS_RUNNER` - "duplo-admin"

`aws_account_id` - AWS Account ID

</details>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.duplocloud.com/docs/automation-platform/terraform-support/duplocloud-terraform-exporter/install-terraform-exporter.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
